diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 1006,1013 ****
  				<label><input type='checkbox' name='wp_cache_mutex_disabled' <?php if( !$wp_cache_mutex_disabled ) echo "checked"; ?> value='0'> <?php _e( 'Coarse file locking. You probably don&#8217;t need this but it may help if your server is underpowered. Warning! <em>May cause your server to lock up in very rare cases!</em>', 'wp-super-cache' ); ?></label><br />
  			<?php } ?>
  				<label><input type='checkbox' name='wp_super_cache_late_init' <?php if( $wp_super_cache_late_init ) echo "checked"; ?> value='1'> <?php _e( 'Late init. Display cached files after WordPress has loaded. Most useful in legacy mode.', 'wp-super-cache' ); ?></label><br />
! 			<?php if ( $_wp_using_ext_object_cache ) { 
! 				?><label><input type='checkbox' name='wp_cache_object_cache' <?php if( $wp_cache_object_cache ) echo "checked"; ?> value='1'> <?php echo __( 'Use object cache to store cached files.', 'wp-super-cache' ) . ' ' . __( '(Experimental)', 'wp-super-cache' ); ?></label><?php 
  			}?>
  			<?php printf( __( '<strong>DO NOT CACHE PAGE</strong> secret key: <a href="%s">%s</a>', 'wp-super-cache' ), trailingslashit( get_bloginfo( 'url' ) ) . "?donotcachepage={$cache_page_secret}", $cache_page_secret ); ?>
  				</legend>
--- 1008,1015 ----
  				<label><input type='checkbox' name='wp_cache_mutex_disabled' <?php if( !$wp_cache_mutex_disabled ) echo "checked"; ?> value='0'> <?php _e( 'Coarse file locking. You probably don&#8217;t need this but it may help if your server is underpowered. Warning! <em>May cause your server to lock up in very rare cases!</em>', 'wp-super-cache' ); ?></label><br />
  			<?php } ?>
  				<label><input type='checkbox' name='wp_super_cache_late_init' <?php if( $wp_super_cache_late_init ) echo "checked"; ?> value='1'> <?php _e( 'Late init. Display cached files after WordPress has loaded. Most useful in legacy mode.', 'wp-super-cache' ); ?></label><br />
! 			<?php if ( $_wp_using_ext_object_cache ) {
! 				?><label><input type='checkbox' name='wp_cache_object_cache' <?php if( $wp_cache_object_cache ) echo "checked"; ?> value='1'> <?php echo __( 'Use object cache to store cached files.', 'wp-super-cache' ) . ' ' . __( '(Experimental)', 'wp-super-cache' ); ?></label><?php
  			}?>
  			<?php printf( __( '<strong>DO NOT CACHE PAGE</strong> secret key: <a href="%s">%s</a>', 'wp-super-cache' ), trailingslashit( get_bloginfo( 'url' ) ) . "?donotcachepage={$cache_page_secret}", $cache_page_secret ); ?>
  				</legend>
***************
*** 1020,1029 ****
  		<li><?php _e( 'Uninstall this plugin on the plugins page. It will automatically clean up after itself. If manual intervention is required then simple instructions are provided.', 'wp-super-cache' ); ?></li>
  		<li><?php printf( __( 'If uninstalling this plugin, make sure the directory <em>%s</em> is writeable by the webserver so the files <em>advanced-cache.php</em> and <em>cache-config.php</em> can be deleted automatically. (Making sure those files are writeable too is probably a good idea!)', 'wp-super-cache' ), WP_CONTENT_DIR ); ?></li>
  		<li><?php printf( __( 'Please see the <a href="%1$s/wp-super-cache/readme.txt">readme.txt</a> for instructions on uninstalling this script. Look for the heading, "How to uninstall WP Super Cache".', 'wp-super-cache' ), WP_PLUGIN_URL ); ?></li><?php
! 		echo "<li><em>" . sprintf( __( 'Need help? Check the <a href="%1$s">Super Cache readme file</a>. It includes installation documentation, a FAQ and Troubleshooting tips. The <a href="%2$s">support forum</a> is also available. Your question may already have been answered.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/wp-super-cache/', 'http://wordpress.org/tags/wp-super-cache?forum_id=10' ) . "</em></li>";
  		echo "</ol>";
! 	
! 		echo "<div class='submit'><input class='button-primary' type='submit' " . SUBMITDISABLED . " value='" . __( 'Update Status', 'wp-super-cache' ) . " &raquo;' /></div>";
  		wp_nonce_field('wp-cache');
  		?> </form> <?php
  		wsc_mod_rewrite();
--- 1022,1031 ----
  		<li><?php _e( 'Uninstall this plugin on the plugins page. It will automatically clean up after itself. If manual intervention is required then simple instructions are provided.', 'wp-super-cache' ); ?></li>
  		<li><?php printf( __( 'If uninstalling this plugin, make sure the directory <em>%s</em> is writeable by the webserver so the files <em>advanced-cache.php</em> and <em>cache-config.php</em> can be deleted automatically. (Making sure those files are writeable too is probably a good idea!)', 'wp-super-cache' ), WP_CONTENT_DIR ); ?></li>
  		<li><?php printf( __( 'Please see the <a href="%1$s/wp-super-cache/readme.txt">readme.txt</a> for instructions on uninstalling this script. Look for the heading, "How to uninstall WP Super Cache".', 'wp-super-cache' ), WP_PLUGIN_URL ); ?></li><?php
! 		echo "<li><em>" . sprintf( __( 'Need help? Check the <a href="%1$s">Super Cache readme file</a>. It includes installation documentation, a FAQ and Troubleshooting tips. The <a href="%2$s">support forum</a> is also available. Your question may already have been answered.', 'wp-super-cache' ), 'http://wordpress.org/plugins/wp-super-cache/', 'http://wordpress.org/tags/wp-super-cache?forum_id=10' ) . "</em></li>";
  		echo "</ol>";
! 
! 		echo "<div class='submit'><input class='button-primary' type='submit' " . SUBMITDISABLED . " value='" . __( 'Update Status', 'wp-super-cache' ) . "' /></div>";
  		wp_nonce_field('wp-cache');
  		?> </form> <?php
  		wsc_mod_rewrite();
***************
*** 1070,1076 ****
  					echo "<p><strong>" . __( 'Notice: PHP caching enabled but Supercache mod_rewrite rules detected. Cached files will be served using those rules. If your site is working ok please ignore this message or you can edit the .htaccess file in the root of your install and remove the SuperCache rules.', 'wp-super-cache' ) . '</strong></p>';
  				}
  			}
! 			echo "<div class='submit'><input class='button-primary' type='submit' " . SUBMITDISABLED . " value='" . __( 'Update Status', 'wp-super-cache' ) . " &raquo;' /></div></form>";
  			if ( $cache_enabled ) {
  				echo "<h3>" . __( 'Cache Tester', 'wp-super-cache' ) . "</h3>";
  				echo '<p>' . __( 'Test your cached website by clicking the test button below.', 'wp-super-cache' ) . '</p>';
--- 1072,1078 ----
  					echo "<p><strong>" . __( 'Notice: PHP caching enabled but Supercache mod_rewrite rules detected. Cached files will be served using those rules. If your site is working ok please ignore this message or you can edit the .htaccess file in the root of your install and remove the SuperCache rules.', 'wp-super-cache' ) . '</strong></p>';
  				}
  			}
! 			echo "<div class='submit'><input class='button-primary' type='submit' " . SUBMITDISABLED . " value='" . __( 'Update Status', 'wp-super-cache' ) . "' /></div></form>";
  			if ( $cache_enabled ) {
  				echo "<h3>" . __( 'Cache Tester', 'wp-super-cache' ) . "</h3>";
  				echo '<p>' . __( 'Test your cached website by clicking the test button below.', 'wp-super-cache' ) . '</p>';
***************
*** 1151,1157 ****
  				echo '<input type="hidden" name="action" value="test" />';
  				if ( isset( $_SERVER['HTTPS' ] ) && 'on' == strtolower( $_SERVER['HTTPS' ] ) )
  					echo "<input type='checkbox' name='httponly' checked='checked' value='1' /> " . __( 'Send non-secure (non https) request for homepage', 'wp-super-cache' );
! 				echo '<div class="submit"><input type="submit" name="test" value="' . __( 'Test Cache', 'wp-super-cache' ) . '" /></div>';
  				wp_nonce_field('wp-cache');
  				echo '</form>';
  			}
--- 1153,1159 ----
  				echo '<input type="hidden" name="action" value="test" />';
  				if ( isset( $_SERVER['HTTPS' ] ) && 'on' == strtolower( $_SERVER['HTTPS' ] ) )
  					echo "<input type='checkbox' name='httponly' checked='checked' value='1' /> " . __( 'Send non-secure (non https) request for homepage', 'wp-super-cache' );
! 				echo '<div class="submit"><input class="button-secondary" type="submit" name="test" value="' . __( 'Test Cache', 'wp-super-cache' ) . '" /></div>';
  				wp_nonce_field('wp-cache');
  				echo '</form>';
  			}
***************
*** 1159,1187 ****
  			echo "<p>" . __( "Cached pages are stored on your server as html and PHP files. If you need to delete them use the button below.", 'wp-super-cache' ) . "</p>";
  			echo '<form name="wp_cache_content_delete" action="?page=wpsupercache&tab=contents" method="post">';
  			echo '<input type="hidden" name="wp_delete_cache" />';
! 			echo '<div class="submit" style="float:left;margin-left:10px"><input id="deletepost" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache', 'wp-super-cache' ) . ' &raquo;" /></div>';
  			wp_nonce_field('wp-cache');
  			echo "</form>\n";
  
  			if ( ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) && wpsupercache_site_admin() ) {
  				echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  				echo '<input type="hidden" name="wp_delete_all_cache" />';
! 				echo '<div class="submit" style="float:left;margin-left:10px"><input id="deleteallpost" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache On All Blogs', 'wp-super-cache' ) . ' &raquo;" />';
  				wp_nonce_field('wp-cache');
  				echo "</form><br />\n";
  			}
  			?>
! 			<h3><?php _e( 'Recommended Links and Plugins', 'wp-super-cache' ); ?></h3>
  			<p><?php _e( 'Caching is only one part of making a website faster. Here are some other plugins that will help:', 'wp-super-cache' ); ?></p>
- 			<ol><li><?php printf( __( '<a href="%s">WPSCMin</a>, a Supercache plugin that minifies cached pages by removing whitespaces and extra characters ', 'wp-super-cache' ), 'http://lyncd.com/wpscmin/' ); ?></li>
  			<li><?php printf( __( '<a href="%s">Yahoo! Yslow</a> is an extension for the Firefox add-on Firebug. It analyzes web pages and suggests ways to improve their performance based on a set of rules for high performance web pages. Also try the performance tools online at <a href="%s">GTMetrix</a>.', 'wp-super-cache' ), 'http://developer.yahoo.com/yslow/', 'http://gtmetrix.com/' ); ?></li>
! 			<li><?php printf( __( '<a href="%s">Use Google Libraries</a> allows you to load some commonly used Javascript libraries from Google webservers. Ironically it may reduce your Yslow score.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/use-google-libraries/' ); ?></li>
! 			<li><?php printf( __( 'The <a href="%1$s">CDN Sync Tool</a> plugin will help upload files to Amazon S3/Cloudfront if you would rather not depend on origin pull. See the <a href="%2$s">plugin support forum</a> if you have any queries about this plugin.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/cdn-sync-tool/', 'http://wordpress.org/tags/cdn-sync-tool?forum_id=10' ); ?></li>
  			<li><?php printf( __( '<strong>Advanced users only:</strong> <a href="%s">Speed up your site with Caching and cache-control</a> explains how to make your site more cacheable with .htaccess rules.', 'wp-super-cache' ), 'http://www.askapache.com/htaccess/speed-up-your-site-with-caching-and-cache-control.html' ); ?></li>
! 			<li><?php printf( __( '<strong>Advanced users only:</strong> Install an object cache. Choose from <a href="%s">Memcached</a>, <a href="%s">XCache</a>, <a href="%s">eAcccelerator</a> and others.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/memcached/', 'http://neosmart.net/dl.php?id=12', 'http://neosmart.net/dl.php?id=13' ); ?></li>
! 			<li><?php printf( __( '<a href="%s">Cron View</a> is a useful plugin to use when trying to debug garbage collection and preload problems.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/cron-view/' ); ?></li>
  			</ol>
! 			
  			<?php
  		break;
  	}
--- 1161,1187 ----
  			echo "<p>" . __( "Cached pages are stored on your server as html and PHP files. If you need to delete them use the button below.", 'wp-super-cache' ) . "</p>";
  			echo '<form name="wp_cache_content_delete" action="?page=wpsupercache&tab=contents" method="post">';
  			echo '<input type="hidden" name="wp_delete_cache" />';
! 			echo '<div class="submit"><input id="deletepost" class="button-secondary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache', 'wp-super-cache' ) . ' " /></div>';
  			wp_nonce_field('wp-cache');
  			echo "</form>\n";
  
  			if ( ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) && wpsupercache_site_admin() ) {
  				echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  				echo '<input type="hidden" name="wp_delete_all_cache" />';
! 				echo '<div class="submit" style="float:left;margin-left:10px"><input id="deleteallpost" class="button-secondary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache On All Blogs', 'wp-super-cache' ) . '" />';
  				wp_nonce_field('wp-cache');
  				echo "</form><br />\n";
  			}
  			?>
! 			<h3 class="clear"><?php _e( 'Recommended Links and Plugins', 'wp-super-cache' ); ?></h3>
  			<p><?php _e( 'Caching is only one part of making a website faster. Here are some other plugins that will help:', 'wp-super-cache' ); ?></p>
  			<li><?php printf( __( '<a href="%s">Yahoo! Yslow</a> is an extension for the Firefox add-on Firebug. It analyzes web pages and suggests ways to improve their performance based on a set of rules for high performance web pages. Also try the performance tools online at <a href="%s">GTMetrix</a>.', 'wp-super-cache' ), 'http://developer.yahoo.com/yslow/', 'http://gtmetrix.com/' ); ?></li>
! 			<li><?php printf( __( '<a href="%s">Use Google Libraries</a> allows you to load some commonly used Javascript libraries from Google webservers. Ironically it may reduce your Yslow score.', 'wp-super-cache' ), 'http://wordpress.org/plugins/use-google-libraries/' ); ?></li>
  			<li><?php printf( __( '<strong>Advanced users only:</strong> <a href="%s">Speed up your site with Caching and cache-control</a> explains how to make your site more cacheable with .htaccess rules.', 'wp-super-cache' ), 'http://www.askapache.com/htaccess/speed-up-your-site-with-caching-and-cache-control.html' ); ?></li>
! 			<li><?php printf( __( '<strong>Advanced users only:</strong> Install an object cache. Choose from <a href="%s">Memcached</a>, <a href="%s">XCache</a>, <a href="%s">eAcccelerator</a> and others.', 'wp-super-cache' ), 'http://wordpress.org/plugins/memcached/', 'http://neosmart.net/dl.php?id=12', 'http://neosmart.net/dl.php?id=13' ); ?></li>
! 			<li><?php printf( __( '<a href="%s">Cron View</a> is a useful plugin to use when trying to debug garbage collection and preload problems.', 'wp-super-cache' ), 'http://wordpress.org/plugins/cron-view/' ); ?></li>
  			</ol>
! 
  			<?php
  		break;
  	}
***************
*** 1190,1212 ****
  	</fieldset>
  	</td><td valign='top' style='width: 300px'>
  	<div style='background: #ffc; border: 1px solid #333; margin: 2px; padding: 5px'>
- 	<h3 align='center'><?php _e( 'Make WordPress Faster', 'wp-super-cache' ); ?></h3>
- 	<p><?php printf( __( '%1$s is maintained and developed by %2$s with contributions from many others.', 'wp-super-cache' ), '<a href="http://ocaoimh.ie/y/34">WP Super Cache</a>', '<a href="http://ocaoimh.ie/y/35">Donncha O Caoimh</a>' ); ?></p>
- 	<p><?php printf( __( 'He blogs at %1$s and posts photos at %2$s.', 'wp-super-cache' ), '<a href="http://ocaoimh.ie/y/35">Holy Shmoly</a>', '<a href="http://ocaoimh.ie/y/2m">In Photos.org</a>' ); ?></p>
- 	<p><?php printf( __( 'Please say hi to him on %s too!', 'wp-super-cache' ), '<a href="http://twitter.com/donncha/">Twitter</a>' ); ?></p>
  	<h3 align='center'><?php _e( 'Need Help?', 'wp-super-cache' ); ?></h3>
  	<ol>
  	<li><?php _e( 'Use the debug system in the Debug tab above. It will tell you what the plugin is doing.', 'wp-super-cache' ); ?></li>
! 	<li><?php printf( __( '<a href="%1$s">Installation Help</a>', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/wp-super-cache/installation/' ); ?></li>
! 	<li><?php printf( __( '<a href="%1$s">Frequently Asked Questions</a>', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/wp-super-cache/faq/' ); ?></li>
  	<li><?php printf( __( '<a href="%1$s">Support Forum</a>', 'wp-super-cache' ), 'http://wordpress.org/tags/wp-super-cache' ); ?></li>
  	<li><?php printf( __( '<a href="%1$s">Development Version</a>', 'wp-super-cache' ), 'http://ocaoimh.ie/y/2o' ); ?></li>
  	</ol>
  	<h3 align='center'><?php _e( 'Rate This Plugin!', 'wp-super-cache' ); ?></h3>
! 	<p><?php printf( __( 'Please <a href="%s">rate</a> this plugin and tell me if it works for you or not. It really helps development.', 'wp-super-cache' ), 'http://wordpress.org/extend/plugins/wp-super-cache/' ); ?></p>
  
! 	<?php 
! 	if ( isset( $wp_supercache_cache_list ) && $wp_supercache_cache_list ) { 
  		$start_date = get_option( 'wpsupercache_start' );
  		if ( !$start_date ) {
  			$start_date = time();
--- 1190,1208 ----
  	</fieldset>
  	</td><td valign='top' style='width: 300px'>
  	<div style='background: #ffc; border: 1px solid #333; margin: 2px; padding: 5px'>
  	<h3 align='center'><?php _e( 'Need Help?', 'wp-super-cache' ); ?></h3>
  	<ol>
  	<li><?php _e( 'Use the debug system in the Debug tab above. It will tell you what the plugin is doing.', 'wp-super-cache' ); ?></li>
! 	<li><?php printf( __( '<a href="%1$s">Installation Help</a>', 'wp-super-cache' ), 'http://wordpress.org/plugins/wp-super-cache/installation/' ); ?></li>
! 	<li><?php printf( __( '<a href="%1$s">Frequently Asked Questions</a>', 'wp-super-cache' ), 'http://wordpress.org/plugins/wp-super-cache/faq/' ); ?></li>
  	<li><?php printf( __( '<a href="%1$s">Support Forum</a>', 'wp-super-cache' ), 'http://wordpress.org/tags/wp-super-cache' ); ?></li>
  	<li><?php printf( __( '<a href="%1$s">Development Version</a>', 'wp-super-cache' ), 'http://ocaoimh.ie/y/2o' ); ?></li>
  	</ol>
  	<h3 align='center'><?php _e( 'Rate This Plugin!', 'wp-super-cache' ); ?></h3>
! 	<p><?php printf( __( 'Please <a href="%s">rate</a> this plugin and tell me if it works for you or not. It really helps development.', 'wp-super-cache' ), 'http://wordpress.org/plugins/wp-super-cache/' ); ?></p>
  
! 	<?php
! 	if ( isset( $wp_supercache_cache_list ) && $wp_supercache_cache_list ) {
  		$start_date = get_option( 'wpsupercache_start' );
  		if ( !$start_date ) {
  			$start_date = time();
***************
*** 1221,1227 ****
  		}
  		?></ol>
  		<small><?php _e( '(may not always be accurate on busy sites)', 'wp-super-cache' ); ?></small>
! 		</p><?php 
  	} elseif ( false == get_option( 'wpsupercache_start' ) ) {
  			update_option( 'wpsupercache_start', time() );
  			update_option( 'wpsupercache_count', 0 );
--- 1217,1223 ----
  		}
  		?></ol>
  		<small><?php _e( '(may not always be accurate on busy sites)', 'wp-super-cache' ); ?></small>
! 		</p><?php
  	} elseif ( false == get_option( 'wpsupercache_start' ) ) {
  			update_option( 'wpsupercache_start', time() );
  			update_option( 'wpsupercache_count', 0 );
***************
*** 1311,1317 ****
  	if ( function_exists( "is_main_site" ) && false == is_main_site() )
  		return true;
  	?>
! 	<a name="modrewrite"></a><fieldset class="options"> 
  	<h3><?php _e( 'Mod Rewrite Rules', 'wp-super-cache' ); ?></h3><?php
  
  	extract( wpsc_get_htaccess_info() );
--- 1307,1313 ----
  	if ( function_exists( "is_main_site" ) && false == is_main_site() )
  		return true;
  	?>
! 	<a name="modrewrite"></a><fieldset class="options">
  	<h3><?php _e( 'Mod Rewrite Rules', 'wp-super-cache' ); ?></h3><?php
  
  	extract( wpsc_get_htaccess_info() );
***************
*** 1338,1350 ****
  	} elseif( strpos( $scrules, 'supercache' ) || strpos( $wprules, 'supercache' ) ) { // only write the rules once
  		$dohtaccess = false;
  	}
! 	if( $dohtaccess && !$_POST[ 'updatehtaccess' ] ) {
  		if ( $scrules == '' ) {
  			wpsc_update_htaccess_form( 0 ); // don't hide the update htaccess form
  		} else {
  			wpsc_update_htaccess_form();
  		}
! 	} elseif( $valid_nonce && $_POST[ 'updatehtaccess' ] ) {
  		echo "<div style='padding:0 8px;color:#4f8a10;background-color:#dff2bf;border:1px solid #4f8a10;'>";
  		if( wpsc_update_htaccess() ) {
  			echo "<h4>" . __( 'Mod Rewrite rules updated!', 'wp-super-cache' ) . "</h4>";
--- 1334,1346 ----
  	} elseif( strpos( $scrules, 'supercache' ) || strpos( $wprules, 'supercache' ) ) { // only write the rules once
  		$dohtaccess = false;
  	}
! 	if ( $dohtaccess && !isset( $_POST[ 'updatehtaccess' ] ) ){
  		if ( $scrules == '' ) {
  			wpsc_update_htaccess_form( 0 ); // don't hide the update htaccess form
  		} else {
  			wpsc_update_htaccess_form();
  		}
! 	} elseif ( $valid_nonce && isset( $_POST[ 'updatehtaccess' ] ) ) {
  		echo "<div style='padding:0 8px;color:#4f8a10;background-color:#dff2bf;border:1px solid #4f8a10;'>";
  		if( wpsc_update_htaccess() ) {
  			echo "<h4>" . __( 'Mod Rewrite rules updated!', 'wp-super-cache' ) . "</h4>";
***************
*** 1366,1372 ****
  		echo "<div id='rewriterules' style='display: none;'>";
  		if ( $rules != $scrules )
  			echo '<div style="background: #fff; border: 1px solid #333; margin: 2px;">' . wp_text_diff( $scrules, $rules, array( 'title' => 'Rewrite Rules', 'title_left' => 'Current Rules', 'title_right' => 'New Rules' ) ) . "</div>";
! 		echo "<p><pre># BEGIN WPSuperCache\n" . esc_html( $rules ) . "# END WPSuperCache</pre></p>\n"; 
  		echo "<p>" . sprintf( __( 'Rules must be added to %s too:', 'wp-super-cache' ), WP_CONTENT_DIR . "/cache/.htaccess" ) . "</p>";
  		echo "<pre># BEGIN supercache\n" . esc_html( $gziprules ) . "# END supercache</pre></p>";
  		echo '</div>';
--- 1362,1368 ----
  		echo "<div id='rewriterules' style='display: none;'>";
  		if ( $rules != $scrules )
  			echo '<div style="background: #fff; border: 1px solid #333; margin: 2px;">' . wp_text_diff( $scrules, $rules, array( 'title' => 'Rewrite Rules', 'title_left' => 'Current Rules', 'title_right' => 'New Rules' ) ) . "</div>";
! 		echo "<p><pre># BEGIN WPSuperCache\n" . esc_html( $rules ) . "# END WPSuperCache</pre></p>\n";
  		echo "<p>" . sprintf( __( 'Rules must be added to %s too:', 'wp-super-cache' ), WP_CONTENT_DIR . "/cache/.htaccess" ) . "</p>";
  		echo "<pre># BEGIN supercache\n" . esc_html( $gziprules ) . "# END supercache</pre></p>";
  		echo '</div>';
***************
*** 1384,1390 ****
  	echo '<fieldset class="options"><h3>' . __( 'Fix Configuration', 'wp-super-cache' ) . '</h3>';
  	echo '<form name="wp_restore" action="#top" method="post">';
  	echo '<input type="hidden" name="wp_restore_config" />';
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'id="deletepost" value="' . __( 'Restore Default Configuration', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	echo '</fieldset>';
--- 1380,1386 ----
  	echo '<fieldset class="options"><h3>' . __( 'Fix Configuration', 'wp-super-cache' ) . '</h3>';
  	echo '<form name="wp_restore" action="#top" method="post">';
  	echo '<input type="hidden" name="wp_restore_config" />';
! 	echo '<div class="submit"><input class="button-secondary" type="submit" ' . SUBMITDISABLED . 'id="deletepost" value="' . __( 'Restore Default Configuration', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	echo '</fieldset>';
***************
*** 1416,1426 ****
  		}
  	}
  	?><a name='lockdown'></a>
! 	<fieldset class="options"> 
  	<h3><?php _e( 'Lock Down:', 'wp-super-cache' ); ?> <?php echo $wp_lock_down == '0' ? '<span style="color:red">' . __( 'Disabled', 'wp-super-cache' ) . '</span>' : '<span style="color:green">' . __( 'Enabled', 'wp-super-cache' ) . '</span>'; ?></h3>
  	<p><?php _e( 'Prepare your server for an expected spike in traffic by enabling the lock down. When this is enabled, new comments on a post will not refresh the cached static files.', 'wp-super-cache' ); ?></p>
  	<p><?php _e( 'Developers: Make your plugin lock down compatible by checking the "WPLOCKDOWN" constant. The following code will make sure your plugin respects the WPLOCKDOWN setting.', 'wp-super-cache' ); ?>
! 	<blockquote><code>if( defined( 'WPLOCKDOWN' ) && constant( 'WPLOCKDOWN' ) ) { 
  		&nbsp;&nbsp;&nbsp;&nbsp;echo "<?php _e( 'Sorry. My blog is locked down. Updates will appear shortly', 'wp-super-cache' ); ?>";
  		}</code></blockquote>
  	<?php
--- 1412,1422 ----
  		}
  	}
  	?><a name='lockdown'></a>
! 	<fieldset class="options">
  	<h3><?php _e( 'Lock Down:', 'wp-super-cache' ); ?> <?php echo $wp_lock_down == '0' ? '<span style="color:red">' . __( 'Disabled', 'wp-super-cache' ) . '</span>' : '<span style="color:green">' . __( 'Enabled', 'wp-super-cache' ) . '</span>'; ?></h3>
  	<p><?php _e( 'Prepare your server for an expected spike in traffic by enabling the lock down. When this is enabled, new comments on a post will not refresh the cached static files.', 'wp-super-cache' ); ?></p>
  	<p><?php _e( 'Developers: Make your plugin lock down compatible by checking the "WPLOCKDOWN" constant. The following code will make sure your plugin respects the WPLOCKDOWN setting.', 'wp-super-cache' ); ?>
! 	<blockquote><code>if( defined( 'WPLOCKDOWN' ) && constant( 'WPLOCKDOWN' ) ) {
  		&nbsp;&nbsp;&nbsp;&nbsp;echo "<?php _e( 'Sorry. My blog is locked down. Updates will appear shortly', 'wp-super-cache' ); ?>";
  		}</code></blockquote>
  	<?php
***************
*** 1433,1446 ****
  	$new_lockdown_desc =  $wp_lock_down == '1' ? __( 'Disable', 'wp-super-cache' ) : __( 'Enable', 'wp-super-cache' );
  	echo '<form name="wp_lock_down" action="#lockdown" method="post">';
  	echo "<input type='hidden' name='wp_lock_down' value='{$new_lockdown}' />";
! 	echo "<div class='submit'><input type='submit' " . SUBMITDISABLED . " value='{$new_lockdown_desc} " . __( 'Lock Down', 'wp-super-cache' ) . " &raquo;' /></div>";
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
  	?></fieldset><?php
  	if( $cache_enabled == true && $super_cache_enabled == true ) {
  		?><a name='direct'></a>
! 	<fieldset class="options"> 
  	<h3><?php _e( 'Directly Cached Files', 'wp-super-cache' ); ?></h3><?php
  
  	$out = '';
--- 1429,1442 ----
  	$new_lockdown_desc =  $wp_lock_down == '1' ? __( 'Disable', 'wp-super-cache' ) : __( 'Enable', 'wp-super-cache' );
  	echo '<form name="wp_lock_down" action="#lockdown" method="post">';
  	echo "<input type='hidden' name='wp_lock_down' value='{$new_lockdown}' />";
! 	echo "<div class='submit'><input class='button-primary' type='submit' " . SUBMITDISABLED . " value='{$new_lockdown_desc} " . __( 'Lock Down', 'wp-super-cache' ) . "' /></div>";
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
  	?></fieldset><?php
  	if( $cache_enabled == true && $super_cache_enabled == true ) {
  		?><a name='direct'></a>
! 	<fieldset class="options">
  	<h3><?php _e( 'Directly Cached Files', 'wp-super-cache' ); ?></h3><?php
  
  	$out = '';
***************
*** 1448,1454 ****
  		$expiredfiles = array_diff( $cached_direct_pages, $_POST[ 'direct_pages' ] );
  		unset( $cached_direct_pages );
  		foreach( $_POST[ 'direct_pages' ] as $page ) {
! 			$page = $wpdb->escape( $page );
  			if( $page != '' ) {
  				$cached_direct_pages[] = $page;
  				$out .= "'$page', ";
--- 1444,1450 ----
  		$expiredfiles = array_diff( $cached_direct_pages, $_POST[ 'direct_pages' ] );
  		unset( $cached_direct_pages );
  		foreach( $_POST[ 'direct_pages' ] as $page ) {
! 			$page = esc_sql( $page );
  			if( $page != '' ) {
  				$cached_direct_pages[] = $page;
  				$out .= "'$page', ";
***************
*** 1462,1468 ****
  		$page = str_replace( get_option( 'siteurl' ), '', $_POST[ 'new_direct_page' ] );
  		if( substr( $page, 0, 1 ) != '/' )
  			$page = '/' . $page;
! 		$page = $wpdb->escape( $page );
  		if( in_array( $page, $cached_direct_pages ) == false ) {
  			$cached_direct_pages[] = $page;
  			$out .= "'$page', ";
--- 1458,1464 ----
  		$page = str_replace( get_option( 'siteurl' ), '', $_POST[ 'new_direct_page' ] );
  		if( substr( $page, 0, 1 ) != '/' )
  			$page = '/' . $page;
! 		$page = esc_sql( $page );
  		if( in_array( $page, $cached_direct_pages ) == false ) {
  			$cached_direct_pages[] = $page;
  			$out .= "'$page', ";
***************
*** 1523,1529 ****
  				continue;
  			$generated = '';
  			if( is_file( ABSPATH . $page . '/index.html' ) )
! 				$generated = '<input type="Submit" name="deletepage" value="' . $page . '">';
  			$out .= "<tr><td><input type='text' $readonly name='direct_pages[]' size='30' value='$page' /></td><td>$generated</td></tr>";
  		}
  		if( $out != '' ) {
--- 1519,1525 ----
  				continue;
  			$generated = '';
  			if( is_file( ABSPATH . $page . '/index.html' ) )
! 				$generated = '<input class="button-secondary" type="Submit" name="deletepage" value="' . $page . '">';
  			$out .= "<tr><td><input type='text' $readonly name='direct_pages[]' size='30' value='$page' /></td><td>$generated</td></tr>";
  		}
  		if( $out != '' ) {
***************
*** 1542,1548 ****
  
  	wp_nonce_field('wp-cache');
  	if( $readonly != 'READONLY' )
! 		echo "<div class='submit'><input type='submit' ' . SUBMITDISABLED . 'value='" . __( 'Update Direct Pages', 'wp-super-cache' ) . " &raquo;' /></div>";
  	echo "</form>\n";
  	?></fieldset><?php
  	} // if $super_cache_enabled
--- 1538,1544 ----
  
  	wp_nonce_field('wp-cache');
  	if( $readonly != 'READONLY' )
! 		echo "<div class='submit'><input class='button-primary' type='submit' ' . SUBMITDISABLED . 'value='" . __( 'Update Direct Pages', 'wp-super-cache' ) . "' /></div>";
  	echo "</form>\n";
  	?></fieldset><?php
  	} // if $super_cache_enabled
***************
*** 1555,1561 ****
  		$dh  = @opendir($folderPath);
  		while (false !== ($value = @readdir($dh))) {
  			if ( $value != "." && $value != ".." ) {
! 				$value = $folderPath . "/" . $value; 
  				if ( @is_dir ( $value ) ) {
  					RecursiveFolderDelete ( $value );
  				}
--- 1551,1557 ----
  		$dh  = @opendir($folderPath);
  		while (false !== ($value = @readdir($dh))) {
  			if ( $value != "." && $value != ".." ) {
! 				$value = $folderPath . "/" . $value;
  				if ( @is_dir ( $value ) ) {
  					RecursiveFolderDelete ( $value );
  				}
